Get wallets
curl --request GET \
--url https://api.onswitch.xyz/wallets \
--header 'x-service-key: <api-key>'import requests
url = "https://api.onswitch.xyz/wallets"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://api.onswitch.xyz/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Wallets retrieved successfully",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": {
"data": [
{
"id": "68d4f2a91eb37c15b8e3a4f7",
"name": "Treasury wallet",
"callback_url": "https://hooks.partner.dev/switch/wallet",
"address": {
"BASE": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"ETHEREUM": "0xA3B3b28d8E3ec225f555f4AB9fC3607De545Ff49",
"SOLANA": "2dTHot2BVjqqGD3S5Z2bzEVYnyEcJCdr9SawzqTdKo4h"
}
},
{
"id": "71e8c3b42fa91d06c2f4a8e1",
"name": "Payout reserve",
"callback_url": "https://hooks.partner.dev/switch/payout",
"address": {
"BASE": "0x7fE2D91c4B06381A9f064E9053a4d2E8F1c0b6D93a",
"BSC": "0x7fE2D91c4B06381A9f064E9053a4d2E8F1c0b6D93a"
}
}
],
"page": 1,
"limit": 10,
"total": 2,
"pages": 1
}
}{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}Get wallets
Returns paginated stablecoin wallets
GET
/
wallets
Get wallets
Authorizations
Service key for API authentication
Query Parameters
Filter by wallet name
Maximum string length:
200Filter by any wallet address
Maximum string length:
200Results page number. Default 1.
Required range:
x >= 1Results per page. Default 10, maximum 100.
Required range:
1 <= x <= 100Response
Wallets retrieved successfully
Hide child attributes
Hide child attributes
⌘I